Package org.jboss.resteasy.plugins.providers.jaxb

## Class AbstractJAXBContextFinder

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

- All Implemented Interfaces:
    `JAXBContextFinder`
  Direct Known Subclasses:
    `XmlJAXBContextFinder`

      public abstract class AbstractJAXBContextFinder
      extends Object
      implements JAXBContextFinder

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractJAXBContextFinder.CacheKey` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `OBJECT_FACTORY_NAME` |
    `protected javax.ws.rs.ext.Providers` | `providers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractJAXBContextFinder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JAXBContext` | `createContext​(Annotation[] parameterAnnotations, Class... classes)` |
    `protected abstract JAXBContext` | `createContextObject​(Annotation[] parameterAnnotations, Class... classes)` |
    `protected abstract JAXBContext` | `createContextObject​(Annotation[] parameterAnnotations, String contextPath)` |
    `JAXBContext` | `createXmlTypeContext​(Annotation[] parameterAnnotations, Class... classes)` |
    `static Class<?>` | `findDefaultObjectFactoryClass​(Class<?> type)` |
    `JAXBContext` | `findProvidedJAXBContext​(Class<?> type, javax.ws.rs.core.MediaType mediaType)` |
    `JAXBContextFinder` | `getContext​(Class<?> type)` |
    `static String` | `getPackageName​(Class<?> type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.plugins.providers.jaxb.JAXBContextFinder

      `findCacheContext, findCachedContext, findCacheXmlTypeContext`

- - ### Field Detail

    - #### OBJECT_FACTORY_NAME

          protected static final String OBJECT_FACTORY_NAME

      See Also:
        Constant Field Values

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

  - ### Constructor Detail

    - #### AbstractJAXBContextFinder

          public AbstractJAXBContextFinder()

  - ### Method Detail

    - #### findProvidedJAXBContext

          public JAXBContext findProvidedJAXBContext​(Class<?> type,
                                                     javax.ws.rs.core.MediaType mediaType)
                                              throws JAXBException

      Throws:
        `JAXBException`

    - #### getPackageName

          public static String getPackageName​(Class<?> type)

    - #### findDefaultObjectFactoryClass

          public static Class<?> findDefaultObjectFactoryClass​(Class<?> type)

    - #### createContextObject

          protected abstract JAXBContext createContextObject​(Annotation[] parameterAnnotations,
                                                             Class... classes)
                                                      throws JAXBException

      Throws:
        `JAXBException`

    - #### createContextObject

          protected abstract JAXBContext createContextObject​(Annotation[] parameterAnnotations,
                                                             String contextPath)
                                                      throws JAXBException

      Throws:
        `JAXBException`

    - #### createXmlTypeContext

          public JAXBContext createXmlTypeContext​(Annotation[] parameterAnnotations,
                                                  Class... classes)
                                           throws JAXBException

      Throws:
        `JAXBException`

    - #### createContext

          public JAXBContext createContext​(Annotation[] parameterAnnotations,
                                           Class... classes)
                                    throws JAXBException

      Specified by:
        `createContext` in interface `JAXBContextFinder`
      Throws:
        `JAXBException`

    - #### getContext

          public JAXBContextFinder getContext​(Class<?> type)